import type { Config } from "jest";

const config: Config = {
  preset: "ts-jest",
  testEnvironment: "node",
  moduleDirectories: ["node_modules", "<rootDir>"],
  moduleNameMapper: {
    "@/(.*)": "<rootDir>/src/$1",
  },
  testTimeout: 15000,
};

export default config;
