import type { Permission } from "@/types/models/permission.type";

const DELETE_ACCOUNT_PERMISSION: Permission = {
  name: "hub-admin-backend-service.deleteAccount",
  description: "Разрешение на удаление чужого аккаунта пользователем",
  createdAt: new Date(),
  updatedAt: new Date(),
  isDeleted: false,
};

export const PERMISSIONS = {
  deleteAccount: DELETE_ACCOUNT_PERMISSION.name,
} as const;

export const PERMISSION_LIST: Array<Permission> = [DELETE_ACCOUNT_PERMISSION];
