import type { Privilege } from "./privilege.type";
import type { Eloquent } from "./eloquent.type";

export type Tariff = Eloquent & {
  name: string;
  userId: string;
  price?: number;
  isCustom: boolean;
  privilegies: Array<Omit<Privilege, keyof Eloquent>>;
};
