export const convertArrayToRecord = <Array extends string[], Value>(
  array: Array,
  defaultValue: Value
): Record<string, Value> =>
  array.reduce<Record<string, Value>>((accamulator, value) => ({ ...accamulator, [value]: defaultValue }), {});
