export const CONFIGURATION = {
  http: {
    host: process.env.HTTP_HOST || "",
    port: Number(process.env.HTTP_PORT) || 8080,
  },
  db: {
    host: process.env.DB_HOST || "",
    port: Number(process.env.DB_PORT) || 3000,
    username: process.env.DB_USERNAME || "admin",
    password: process.env.DB_PASSWORD || "admin",
    database: process.env.DB_NAME || "database",
  },
  service: {
    publicAccessSecretKey: process.env.PUBLIC_ACCESS_SECRET_KEY || "",
    salt: Number(process.env.SALT) || 10,
  },
  authService: {
    host: process.env.AUTH_SERVICE_HOST || "",
    port: Number(process.env.AUTH_SERVICE_PORT) || 8081,
  },
} as const;
