import { isError } from "./is-error";

describe("isError", () => {
  test("Должно возвращать значение true, если это ошибка Error", () => {
    const error: Error = new Error("An error occurred");

    expect(isError(error)).toBe(true);
  });

  test("Должно возвращать значение false, если это ошибка Error", () => {
    expect(isError(undefined)).toBe(false);
    expect(isError(null)).toBe(false);
    expect(isError("")).toBe(false);
    expect(isError({})).toBe(false);
  });
});
